Googler, инструмент, позволяющий использовать Google в командной строке

Googler

Хотя графическая среда в Gnu / Linux значительно улучшилась, все еще существует множество приложений, которые работают в командной строке нашей операционной системы. Есть до веб-браузеры, работающие в командной строке и с большим удовлетворением со стороны тех, кто им пользуется.

В этом случае мы покажем вам инструмент, который многим будет интересен: вывод Google в командную строку. Это возможно без использования веб-браузера или какой-либо прикрепленной библиотеки, просто инструмента, который это называется гуглер.

Googler - это инструмент, который показывает нам результаты Google по определенным словам или фразам, которые мы ищем. Для этого нам просто нужно написать слово Googler, а затем слово для поиска, и тогда все, что найдет Google, появится. Googler не является официальным инструментом Google, но это инструмент командной строки, который соединяется с Google для отображения результатов.

К сожалению, Googler работает только с дистрибутивами. основанные на Ubuntu или Debian, остальные дистрибутивы пока не поддерживаются, но в Github мы можем найти код для его компиляции и установить в имеющийся у нас дистрибутив. Но если у нас есть Ubuntu или Debian или основанный на них дистрибутив, мы можем установить его, открыв терминал и набрав:

sudo add-apt-repository ppa:twodopeshaggy/jarun
sudo apt-get update
sudo apt-get install googler

Как только это будет сделано, нам нужно только ввести googler, а затем поисковый запрос. Гуглер тоже имеет выбор человека, страница справки, которая покажет нам параметры, которые мы можем использовать с этим инструментом. Среди них выделяется «-n», который покажет нам только первые 8 результатов Google, но их намного больше.

Я лично считаю, что Google - отличный инструмент, особенно для пользователей, которые не отключаются от терминала Linux, но, прежде всего, это учит нас тому, что терминал Linux - это нечто большее, чем черный экран с буквами Вы так не думаете?


Содержание статьи соответствует нашим принципам редакционная этика. Чтобы сообщить об ошибке, нажмите здесь.

3 комментариев, оставьте свой

Оставьте свой комментарий

Ваш электронный адрес не будет опубликован.

*

*

  1. Ответственный за данные: AB Internet Networks 2008 SL
  2. Назначение данных: контроль спама, управление комментариями.
  3. Легитимация: ваше согласие
  4. Передача данных: данные не будут переданы третьим лицам, кроме как по закону.
  5. Хранение данных: база данных, размещенная в Occentus Networks (ЕС)
  6. Права: в любое время вы можете ограничить, восстановить и удалить свою информацию.

  1.   g сказал

    как поразительно и интересно

  2.   Я грек FanDBZ сказал

    Хороший пост. Но, к сожалению, при попытке поставить PPA я получаю следующее:
    «Этот PPA не поддерживает надежных»
    Невозможно добавить PPA: «Этот PPA не поддерживает надежный»
    У меня LM 17.3 Xfce x64. Вы можете помочь мне?

  3.   Deivis сказал

    друг, у меня есть сомнения, случайно откройте команду для сравнения двух фраз, я имею в виду на английском, посмотрите и найдите эти две фразы, это поиск, но одна отличается от другой, я не знаю, получили ли вы то, что я хотел сказать

bool (истина)